complexType "ScheduledDate"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 6 elements
Defined: | globally in fpml-valuation-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (unadjustedDate?, adjustedDate?)?, type?, assetReference?, (associatedValue | associatedValueReference)*
</...>

Content Model Elements (6):

  adjustedDate (defined in AdjustedAndOrUnadjustedDate.model group),
  assetReference (defined in ScheduledDate complexType),
  associatedValue,
  associatedValueReference,
  type (defined in ScheduledDate complexType),
  unadjustedDate (defined in AdjustedAndOrUnadjustedDate.model group)

All Direct / Indirect Based Elements (3):

  scheduledDate (defined in Position complexType), scheduledDate (defined in PositionWithoutId.model group), | scheduledDate (defined in ScheduledDates complexType)

Known Usage Locations

- As direct type of elements (3):

  scheduledDate (defined in Position complexType), scheduledDate (defined in PositionWithoutId.model group), | scheduledDate (defined in ScheduledDates complexType)

Annotation
An servicing date relevant for a trade structure, such as a payment or a reset.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ScheduledDate"> <xsd:sequence> <xsd:group minOccurs="0" ref="AdjustedAndOrUnadjustedDate.model"/> <xsd:element minOccurs="0" name="type" type="ScheduledDateType"/> <xsd:element minOccurs="0" name="assetReference" type="AnyAssetReference"/> <xsd:group maxOccurs="unbounded" minOccurs="0" ref="AssociatedValue.model"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/6)
assetReference

  Type: | AnyAssetReference, empty content

  A reference to the leg (or other product component) for which these dates occur.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="assetReference" type="AnyAssetReference"/>

type

  Type: | ScheduledDateType, simple content

  The type of the date, e.g. next or previous payment.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="type" type="ScheduledDateType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.